Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal.tandem6530
Class VideoAttributeMap

    java.lang.Object
      com.mindbright.terminal.tandem6530.VideoAttributeMap

public class VideoAttributeMap
extends java.lang.Object

Nested Class Summary
`protected class` | `VideoAttributeMap.Attrib`

Field Summary
`protected VideoAttributeMap.Attrib[]` | `attribs`
`protected int` | `COLS`
`protected int` | `defaultAttrib`
`protected DisplayView` | `display`
`protected int` | `numAttribs`
`protected int` | `TOTAL_ROWS`

Constructor Summary
`VideoAttributeMap(int totalRows, int cols, int defaultAttrib)`

Method Summary
`void` | `add(int row, int col, int attrib)`
`int` | `attribAt(int row, int col)`
`void` | `clear(int row, int startCol, int endCol)`
`void` | `clearLine(int row)`
`protected void` | `delete(int index)`
`void` | `delete(int row, int col)`
`void` | `deleteChars(int row, int col, int n)`
`void` | `deleteLine(int row)`
`protected int` | `find(int row, int col)`
`protected int` | `getAttrib(int row, int col)`
`int[]` | `getAttribsAt(int visTop, int row)`
`void` | `insertChars(int row, int col, int n)`
`void` | `insertLine(int row)`
`boolean` | `isAttrib(int row, int col)`
`protected void` | `makeDirty(int top, int left, int bottom, int right)`
`protected int` | `nextAttrib(int idx, int row)`
`void` | `resize(int totalRows, int cols)`
`void` | `setDefault(int newDefault)`
`void` | `setDisplay(DisplayView display)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COLS

    protected int COLS

### TOTAL_ROWS

    protected int TOTAL_ROWS

### defaultAttrib

    protected int defaultAttrib

### numAttribs

    protected int numAttribs

### attribs

    protected VideoAttributeMap.Attrib[] attribs

### display

    protected DisplayView display

Constructor Detail

### VideoAttributeMap

    public VideoAttributeMap(int totalRows,
                             int cols,
                             int defaultAttrib)

Method Detail

### setDisplay

    public void setDisplay(DisplayView display)

### isAttrib

    public boolean isAttrib(int row,
                            int col)

### attribAt

    public int attribAt(int row,
                        int col)

### add

    public void add(int row,
                    int col,
                    int attrib)

### delete

    public void delete(int row,
                       int col)

### delete

    protected void delete(int index)

### setDefault

    public void setDefault(int newDefault)

### insertChars

    public void insertChars(int row,
                            int col,
                            int n)

### deleteChars

    public void deleteChars(int row,
                            int col,
                            int n)

### clear

    public void clear(int row,
                      int startCol,
                      int endCol)

### clearLine

    public void clearLine(int row)

### insertLine

    public void insertLine(int row)

### deleteLine

    public void deleteLine(int row)

### resize

    public void resize(int totalRows,
                       int cols)

### getAttribsAt

    public int[] getAttribsAt(int visTop,
                              int row)

### nextAttrib

    protected int nextAttrib(int idx,
                             int row)

### toString

    public java.lang.String toString()

### getAttrib

    protected int getAttrib(int row,
                            int col)

### find

    protected int find(int row,
                       int col)

### makeDirty

    protected void makeDirty(int top,
                             int left,
                             int bottom,
                             int right)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD